package edu.ucsd.act.demo.dao;

import java.util.Calendar;
import java.util.Date;
import java.util.LinkedHashSet;
import java.util.Set;


import org.springframework.stereotype.Repository;

import edu.ucsd.act.demo.domain.Post;

/**
 * @author haforoozanfard
 * DAO to manage Post entities.
 */
@Repository("PostDAO")
public class PostDAOImpl implements PostDAO {


	/**
	 * findAllPosts
	 *
	 */
	public Set<Post> findAllPosts() throws Exception {
		LinkedHashSet<Post> posts = new LinkedHashSet<Post>();
		for (int i = 0; i < 20; i++) {
			Post post = new Post();
			post.setId(i);
			post.setTitle("Title_"+i);
			post.setContent("stuff_"+i);
			Date posttime = new Date(System.currentTimeMillis());
			post.setPosttime(posttime);
			posts.add(post);
		}
		return posts;
	}

	/**
	 * findPostById
	 *
	 */
	public Post findPostById(Integer idKey, LinkedHashSet<Post> posts) throws Exception {
		try {
			for (Post post : posts) {
				if(post.getId().equals(idKey))
					return post;
			}
		} catch (Exception e) {
			throw e;
		}
		return null;
	}

}
