package edu.ucsd.act.demo.service;

import java.util.LinkedHashSet;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import edu.ucsd.act.demo.dao.PostDAO;
import edu.ucsd.act.demo.domain.Post;

import org.springframework.js.resource.ResourceServlet;

/**
 * @author haforoozanfard
 * Spring service that handles CRUD requests for Post entities
 *
 */
@Service("PostService")
public class PostServiceImpl implements PostService {

	/**
	 * DAO injected by Spring that manages Post entities
	 *
	 */
	@Autowired
	private PostDAO postDAO;

	/**
	 * Instantiates a new PostServiceImpl.
	 *
	 */
	public PostServiceImpl() {
	}

	/**
	 * Load an existing Post entity
	 *
	 */
	public Set<Post> loadPosts() {
		try {
			return postDAO.findAllPosts();
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
	}

	public void deletePost(Post post_1) {
		// TODO Auto-generated method stub

	}

	//dumb way of replicating database save! ;)
	public Set<Post> savePost(Post post, LinkedHashSet<Post> posts) {
		LinkedHashSet<Post> new_posts = new LinkedHashSet<Post>();
		for (Post post_existing : posts) {
			if(post_existing.getId().equals(post.getId())){
				new_posts.add(post);
			}else{
				new_posts.add(post_existing);
			}
		}
		return new_posts;
	}

}
